gtk-0.12.0: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Graphics.UI.Gtk.Entry.EntryBuffer

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods
- Attributes
- Signals

Description

Text buffer for `Entry`

- Module available since Gtk+ version 2.18

Synopsis

- data EntryBuffer
- class GObjectClass o => EntryBufferClass o
- castToEntryBuffer :: GObjectClass obj => obj -> EntryBuffer
- toEntryBuffer :: EntryBufferClass o => o -> EntryBuffer
- entryBufferNew :: Maybe String -> IO EntryBuffer
- entryBufferGetBytes :: EntryBufferClass self => self -> IO Int
- entryBufferInsertText :: EntryBufferClass self => self -> Int -> String -> IO Int
- entryBufferDeleteText :: EntryBufferClass self => self -> Int -> Int -> IO Int
- entryBufferEmitDeletedText :: EntryBufferClass self => self -> Int -> Int -> IO ()
- entryBufferEmitInsertedText :: EntryBufferClass self => self -> Int -> String -> Int -> IO ()
- entryBufferText :: EntryBufferClass self => Attr self String
- entryBufferLength :: EntryBufferClass self => ReadAttr self Int
- entryBufferMaxLength :: EntryBufferClass self => Attr self Int
- entryBufferInsertedText :: EntryBufferClass self => Signal self (Int -> String -> Int -> IO ())
- entryBufferDeletedText :: EntryBufferClass self => Signal self (Int -> Int -> IO ())

# Detail

The `EntryBuffer` class contains the actual text displayed in a `Entry` widget.

A single `EntryBuffer` object can be shared by multiple `Entry` widgets which will then share the same text content, but not the cursor position, visibility attributes, icon etc.

`EntryBuffer` may be derived from. Such a derived class might allow text to be stored in an alternate location, such as non-pageable memory, useful in the case of important passwords. Or a derived class could integrate with an application's concept of undo/redo.

# Class Hierarchy

     | GObject
     | +----EntryBuffer

# Types

data EntryBuffer

Instances

Eq EntryBuffer |
Ord EntryBuffer |
GObjectClass EntryBuffer |
EntryBufferClass EntryBuffer |

class GObjectClass o => EntryBufferClass o

Instances

EntryBufferClass EntryBuffer |

castToEntryBuffer :: GObjectClass obj => obj -> EntryBuffer

toEntryBuffer :: EntryBufferClass o => o -> EntryBuffer

# Constructors

entryBufferNew

Arguments

:: Maybe String | `initialChars` - initial buffer text or `Nothing`
-> IO EntryBuffer |

Create a new `EntryBuffer` object.

Optionally, specify initial text to set in the buffer.

- Available since Gtk+ version 2.18

# Methods

entryBufferGetBytes

Arguments

:: EntryBufferClass self |
=> self |
-> IO Int | returns The byte length of the buffer.

Retrieves the length in bytes of the buffer. See `entryBufferGetLength`.

- Available since Gtk+ version 2.18

entryBufferInsertText

Arguments

:: EntryBufferClass self |
=> self |
-> Int | `position` - the position at which to insert text.
-> String | `chars` - the text to insert into the buffer.
-> IO Int | returns The number of characters actually inserted.

Inserts `chars` into the contents of the buffer, at position `position`.

- Available since Gtk+ version 2.18

entryBufferDeleteText

Arguments

:: EntryBufferClass self |
=> self |
-> Int | `position` - position at which to delete text
-> Int | `nChars` - number of characters to delete
-> IO Int | returns The number of characters deleted.

Deletes a sequence of characters from the buffer. `nChars` characters are deleted starting at `position`. If `nChars` is negative, then all characters until the end of the text are deleted.

- Available since Gtk+ version 2.18

entryBufferEmitDeletedText

Arguments

:: EntryBufferClass self |
=> self |
-> Int | `position` - position at which text was deleted
-> Int | `nChars` - number of characters deleted
-> IO () |

Used when subclassing `EntryBuffer`

- Available since Gtk+ version 2.18

entryBufferEmitInsertedText

Arguments

:: EntryBufferClass self |
=> self |
-> Int | `position` - position at which text was inserted
-> String | `chars` - text that was inserted
-> Int | `nChars` - number of characters inserted
-> IO () |

Used when subclassing `EntryBuffer`

- Available since Gtk+ version 2.18

# Attributes

entryBufferText :: EntryBufferClass self => Attr self String

The contents of the buffer.

Default value: ""

- Available since Gtk+ version 2.18

entryBufferLength :: EntryBufferClass self => ReadAttr self Int

The length of the text in buffer.

Allowed values: <= 65535

Default value: 0

- Available since Gtk+ version 2.18

entryBufferMaxLength :: EntryBufferClass self => Attr self Int

The maximum length of the text in the buffer.

Allowed values: [0,65535]

Default value: 0

- Available since Gtk+ version 2.18

# Signals

entryBufferInsertedText :: EntryBufferClass self => Signal self (Int -> String -> Int -> IO ())

- Available since Gtk+ version 2.18

entryBufferDeletedText :: EntryBufferClass self => Signal self (Int -> Int -> IO ())

- Available since Gtk+ version 2.18